/**
 * Copyright 2010 Västra Götalandsregionen
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of version 2.1 of the GNU Lesser General Public
 *   License as published by the Free Software Foundation.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the
 *   Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 *   Boston, MA 02111-1307  USA
 */

package se.vgregion.liferay.organization;

import com.liferay.portal.model.Organization;
import com.liferay.portal.model.User;

/**
 * Created by IntelliJ IDEA. Created: 2011-11-29 15:32
 * 
 * @author <a href="mailto:david.rosell@redpill-linpro.com">David Rosell</a>
 */
public interface OrganizationHelper {
    void addUser(Organization organization, User... user);

    void addUser(String organizationNames, User... user);

    void removeUser(Organization organization, User... user);

    void removeUser(String organizationNames, User... user);

    Organization findByName(String organizationName, long companyId);

    boolean isMember(Organization organization, User user);

    boolean isMember(String organizationName, User user);

    Organization createIfNeeded(String organizationName, Organization parent, long companyId);

    Organization createIfNeeded(String organizationName, long companyId);

}
